local ScoreFont <const> = playdate.graphics.font.new("fonts/font-full-circle.pft")
local OutBubbleRadius <const> = 5
local ScoreboardMarginX <const> = 8
local ScoreboardHeight = 55

function drawScoreboard(x, y, teams, outs)
	local gfx = playdate.graphics

	local homeScore = teams.home.score
	local awayScore = teams.away.score

	local homeScoreText = "HOME " .. (homeScore > 9 and homeScore or "  " .. homeScore)
	local awayScoreText = "AWAY " .. (awayScore > 9 and awayScore or "  " .. awayScore)

	local rectWidth = (ScoreboardMarginX * 2) + ScoreFont:getTextWidth(homeScoreText)

	gfx.setLineWidth(1)
	gfx.setColor(gfx.kColorBlack)
	gfx.fillRect(x, y, rectWidth, ScoreboardHeight)

	local originalDrawMode = gfx.getImageDrawMode()
	gfx.setImageDrawMode(gfx.kDrawModeInverted)

	ScoreFont:drawText(homeScoreText, x + ScoreboardMarginX, y + 6)
	ScoreFont:drawText(awayScoreText, x + ScoreboardMarginX, y + 22)

	gfx.setImageDrawMode(originalDrawMode)

	gfx.setColor(gfx.kColorWhite)

	function circleParams(i)
		return (x + ScoreboardMarginX + OutBubbleRadius) + (i * 2.5 * OutBubbleRadius), y + 46, OutBubbleRadius
	end

	for i = outs, 2 do
		gfx.drawCircleAtPoint(circleParams(i))
	end
	for i = 0, (outs - 1) do
		gfx.fillCircleAtPoint(circleParams(i))
	end
end
